package com.jwipc.supplier.constant;

import lombok.Getter;

/**
 * <p> </p>
 *
 * @author ZhangJie TO_BE_CONFIRMED
 * @version 1.0
 * @since JDK 1.8
 */
@Getter
public enum SupplierMaterialDemoStatus {
    NEW(1, "新建"),
    SUPPLIER_PROCESSING(2, "待供应商处理"),
    PURCHASE_PROCESSING(3, "待采购处理"),
    APPROVEING(4, "待审核"),
    TO_BE_CONFIRMED(5, "待供方确认"),
    REJECTED(6, "审核不通过"),
    OA_APPROVEING(7, "OA审批中"),
    CONFIRM_OK(8, "供方已确认");


    private final int code;
    private final String description;

    SupplierMaterialDemoStatus(int code, String description) {
        this.code = code;
        this.description = description;
    }
}
